### Function

# Gimp patterns_get_list

#### Declaration [src]

    GimpPattern**
    gimp_patterns_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieve a complete listing of the available patterns.

This procedure returns a complete listing of available GIMP patterns. Each pattern returned can be used as input to `gimp_context_set_pattern()`.

#### Parameters

`filter`

  Type: `const gchar*`

  An optional regular expression used to filter the list.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `GimpPattern*`

         The list of patterns.
         The returned value must be freed with g_free().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data container, but not the data inside it.